org.springframework.data.relational.core.conversion

## Interface DbAction.WithPropertyPath<T>

All Superinterfaces:
  DbAction<T>

All Known Subinterfaces:
  DbAction.WithDependingOn<T>

All Known Implementing Classes:
  DbAction.Delete, DbAction.DeleteAll, DbAction.Insert, DbAction.Merge

Enclosing interface:
  DbAction<T>

    public static interface DbAction.WithPropertyPath<T>
    extends DbAction<T>

A `DbAction` not operation on the root of an aggregate but on its contained entities.

Author:
  Jens Schauder

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.springframework.data.relational.core.conversion.DbAction

`DbAction.AcquireLockAllRoot<T>, DbAction.AcquireLockRoot<T>, DbAction.Delete<T>, DbAction.DeleteAll<T>, DbAction.DeleteAllRoot<T>, DbAction.DeleteRoot<T>, DbAction.Insert<T>, DbAction.InsertRoot<T>, DbAction.Merge<T>, DbAction.Update<T>, DbAction.UpdateRoot<T>, DbAction.WithDependingOn<T>, DbAction.WithEntity<T>, DbAction.WithGeneratedId<T>, DbAction.WithPropertyPath<T>`

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default Class<T>` `getEntityType()`
`PersistentPropertyPath<RelationalPersistentProperty>` `getPropertyPath()`

### Method Detail

#### getPropertyPath

    PersistentPropertyPath<RelationalPersistentProperty> getPropertyPath()

Returns:
  the path from the aggregate root to the affected entity

#### getEntityType

    default Class<T> getEntityType()

Specified by:
  `getEntityType` in interface `DbAction<T>`